diff --git a/doc/src/sgml/ddl.sgml b/doc/src/sgml/ddl.sgml
index a0a7435a03..56afe9b4af 100644
--- a/doc/src/sgml/ddl.sgml
+++ b/doc/src/sgml/ddl.sgml
@@ -3966,14 +3966,6 @@ ALTER TABLE measurement ATTACH PARTITION measurement_y2008m02
 
-      <listitem>
-       <para>
-       While primary keys are supported on partitioned tables, foreign
-       keys referencing partitioned tables are not supported.  (Foreign key
-       references from a partitioned table to some other table are supported.)
-      </para>
-     </listitem>
-
     <listitem>
      <para>
        <literal>BEFORE ROW</literal> triggers, if necessary, must be defined
        on individual partitions, not the partitioned table.
       </para>
@@ -4366,6 +4358,14 @@ ALTER TABLE measurement_y2008m02 INHERIT measurement;
        </para>
       </listitem>
 
+     <listitem>
+      <para>
+       While primary keys are supported on tables using inheritance for partitioning, foreign
+       keys referencing these tables are not supported.  (Foreign key
+       references from an inherited table to some other table are supported.)
+      </para>
+     </listitem>
+
       <listitem>
        <para>
         If you are using manual <command>VACUUM</command> or
